Managed Rancher Service
All operations require authentication.
List managed Rancher servicesProduction
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Date of the managed Rancher service creation
Current configuration applied to the managed Rancher service
Asynchronous operations ongoing on the managed Rancher service
Unique identifier
Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the managed Rancher service
Date of the last managed Rancher service update
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Create a new managed Rancher serviceProduction
Path parameters
Project ID
Request body (required)
Target specification for the managed Rancher service
Response
Date of the managed Rancher service creation
Current configuration applied to the managed Rancher service
Asynchronous operations ongoing on the managed Rancher service
Unique identifier
Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the managed Rancher service
Date of the last managed Rancher service update
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Get a managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Response
Date of the managed Rancher service creation
Current configuration applied to the managed Rancher service
Asynchronous operations ongoing on the managed Rancher service
Unique identifier
Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the managed Rancher service
Date of the last managed Rancher service update
Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Update an existing managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Request body (required)
New target specification for the managed Rancher service
Response
Date of the managed Rancher service creation
Current configuration applied to the managed Rancher service
Asynchronous operations ongoing on the managed Rancher service
Unique identifier
Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the managed Rancher service
Date of the last managed Rancher service update
Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Response
Date of the managed Rancher service creation
Current configuration applied to the managed Rancher service
Asynchronous operations ongoing on the managed Rancher service
Unique identifier
Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the managed Rancher service
Date of the last managed Rancher service update
Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Reset the admin passwordProduction
Path parameters
Project ID
Rancher ID
Response
Password of the user
Name of the user
Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId}/ adminCredentials \
-H "authorization: Bearer $OVH_TOKEN"{ "password": "string", "username": "string"}
List available and current plans for the given managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Headers
Pagination cursor
Pagination size
Response
Cause for an unavailability
CANNOT_DOWNGRADE_USING_HIGHER_FEATURESCANNOT_SWITCH_PLAN_FOR_ALPHANOT_IMPLEMENTEDHuman-readable description of the unavailability cause
Name of the plan
OVHCLOUD_EDITIONSTANDARDStatus of the plan
AVAILABLECURRENTUNAVAILABLEExample uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId}/ capabilities/ plan \
-H "authorization: Bearer $OVH_TOKEN"[ { "cause": "CANNOT_DOWNGRADE_USING_HIGHER_FEATURES", "message": "string", "name": "OVHCLOUD_EDITION", "status": "AVAILABLE" }]
List available and current versions for the given managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Headers
Pagination cursor
Pagination size
Response
Cause for an unavailability
CANNOT_UPGRADE_MULTIPLE_VERSIONSDEPRECATEDDISABLEDEND_OF_LIFEEND_OF_SALEEND_OF_SUPPORTChangelog URL of the version
Human-readable description of the unavailability cause
Name of the version
Status of the version
AVAILABLEUNAVAILABLEExample uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId}/ capabilities/ version \
-H "authorization: Bearer $OVH_TOKEN"[ { "cause": "CANNOT_UPGRADE_MULTIPLE_VERSIONS", "changelogUrl": "string", "message": "string", "name": "string", "status": "AVAILABLE" }]
List all events related to the managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the event
Nature of the event
Link to the event related resource
Description of what happened on the event
Type of the event
TARGET_SPEC_UPDATETASK_ERRORTASK_STARTTASK_SUCCESSExample uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId}/ event \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "link": "string", "message": "string", "type": "TARGET_SPEC_UPDATE" }]
List all asynchronous operations related to the managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a specific task related to the managed Rancher serviceProduction
Path parameters
Project ID
Rancher ID
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ rancher/ {rancherId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}